com.tibbo.aggregate.common.datatable.validator

## Class ValidatorHelper

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.validator.ValidatorHelper

-     public class ValidatorHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FieldValidator` | `DESCRIPTION_LENGTH_VALIDATOR`
    `static FieldValidator` | `DESCRIPTION_SYNTAX_VALIDATOR`
    `static FieldValidator` | `EMAIL_VALIDATOR`
    `static FieldValidator` | `IP_ADDRESS_VALIDATOR`
    `static int` | `MAX_DESCRIPTION_LENGTH`
    `static int` | `MAX_NAME_LENGTH`
    `static int` | `MAX_TYPE_LENGTH`
    `static int` | `MIN_DESCRIPTION_LENGTH`
    `static int` | `MIN_NAME_LENGTH`
    `static int` | `MIN_TYPE_LENGTH`
    `static FieldValidator` | `NAME_LENGTH_VALIDATOR`
    `static FieldValidator` | `NAME_SYNTAX_VALIDATOR`
    `static FieldValidator` | `NON_ZERO_LENGTH_VALIDATOR`
    `static FieldValidator` | `PORT_VALIDATOR`
    `static FieldValidator` | `TYPE_LENGTH_VALIDATOR`
    `static FieldValidator` | `TYPE_SYNTAX_VALIDATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorHelper()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MIN_NAME_LENGTH

          public static final int MIN_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_NAME_LENGTH

          public static final int MAX_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MIN_TYPE_LENGTH

          public static final int MIN_TYPE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TYPE_LENGTH

          public static final int MAX_TYPE_LENGTH

      See Also:
        Constant Field Values

    - #### MIN_DESCRIPTION_LENGTH

          public static final int MIN_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_DESCRIPTION_LENGTH

          public static final int MAX_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### NAME_SYNTAX_VALIDATOR

          public static final FieldValidator NAME_SYNTAX_VALIDATOR

    - #### NAME_LENGTH_VALIDATOR

          public static final FieldValidator NAME_LENGTH_VALIDATOR

    - #### DESCRIPTION_SYNTAX_VALIDATOR

          public static final FieldValidator DESCRIPTION_SYNTAX_VALIDATOR

    - #### DESCRIPTION_LENGTH_VALIDATOR

          public static final FieldValidator DESCRIPTION_LENGTH_VALIDATOR

    - #### TYPE_SYNTAX_VALIDATOR

          public static final FieldValidator TYPE_SYNTAX_VALIDATOR

    - #### TYPE_LENGTH_VALIDATOR

          public static final FieldValidator TYPE_LENGTH_VALIDATOR

    - #### IP_ADDRESS_VALIDATOR

          public static final FieldValidator IP_ADDRESS_VALIDATOR

    - #### PORT_VALIDATOR

          public static final FieldValidator PORT_VALIDATOR

    - #### EMAIL_VALIDATOR

          public static final FieldValidator EMAIL_VALIDATOR

    - #### NON_ZERO_LENGTH_VALIDATOR

          public static final FieldValidator NON_ZERO_LENGTH_VALIDATOR

  - ### Constructor Detail

    - #### ValidatorHelper

          public ValidatorHelper()